{*
* NOTICE OF LICENSE
*
* YOU MAY NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY.
*
* YOU MAY NOT MODIFY THIS SOFTWARE IN ANY WAY.
*
* THERE IS NO WARRANTY FOR THIS SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. 
* EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES 
* PROVIDE THIS SOFTWARE “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
* FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THIS 
* SOFTWARE IS WITH YOU. SHOULD THIS SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE COST OF 
* ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
*
* IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY 
* COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THIS SOFTWARE AS 
* PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, 
* INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS 
* SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE 
* OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THIS SOFTWARE TO OPERATE 
* WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE 
* POSSIBILITY OF SUCH DAMAGES.
* 
* IF THE DISCLAIMER OF WARRANTY AND LIMITATION OF LIABILITY PROVIDED ABOVE CANNOT BE 
* GIVEN LOCAL LEGAL EFFECT ACCORDING TO THEIR TERMS, REVIEWING COURTS SHALL APPLY LOCAL 
* LAW THAT MOST CLOSELY APPROXIMATES AN ABSOLUTE WAIVER OF ALL CIVIL LIABILITY IN CONNECTION 
* WITH THIS SOFTWARE, UNLESS A WARRANTY OR ASSUMPTION OF LIABILITY ACCOMPANIES A COPY OF THIS 
* SOFTWARE IN RETURN FOR A FEE.
*
* @author    George Filippakis <george.filippakis@gmail.com>
* @copyright 2015-2017 George Filippakis
* @license   LICENSE.txt
*}

{if isset($products) && $products|@count}
	{foreach from=$products item=product}
<tr class="{if $product@iteration is div by 2}alt_row{else}odd{/if}">
	<td class="center">{$product.id_product|intval}</td>
	<td class="center">{if empty($product.id_product_attribute)}-{else}{$product.id_product_attribute|intval}{/if}</td>
	{if isset($display_settings.images) && $display_settings.images}
	<td class="center"><img src="{$product.image_link|escape:'htmlall':'UTF-8'}" class="imgm img-thumbnail product-image" alt="{$product.name|escape:'htmlall':'UTF-8'} Image"></td>
	{/if}
	{if isset($display_settings.names) && $display_settings.names}
	<td>{$product.name|escape:'htmlall':'UTF-8'}</td>
	{/if}
	{if isset($display_settings.references) && $display_settings.references}
	<td>{$product.reference|escape:'htmlall':'UTF-8'}</td>
	{/if}
	{if isset($display_settings.ean) && $display_settings.ean}
	<td>{$product.ean13|escape:'htmlall':'UTF-8'}</td>
	{/if}
	{if isset($display_settings.upc) && $display_settings.upc}
	<td>{$product.upc|escape:'htmlall':'UTF-8'}</td>
	{/if}
	{if isset($display_settings.manufacturer) && $display_settings.manufacturer}
	<td>{$product.manufacturer|escape:'htmlall':'UTF-8'}</td>
	{/if}
	{if isset($display_settings.supplier) && $display_settings.supplier}
	<td>{$product.supplier|escape:'htmlall':'UTF-8'}</td>
	{/if}
	{if isset($display_settings.categories) && $display_settings.categories}
	<td>{$product.category|escape:'htmlall':'UTF-8'}</td>
	{/if}
	{if isset($display_settings.attributes) && $display_settings.attributes}
	<td>
		{foreach from=$product.attributes item=attribute}
			{$attribute|escape:'htmlall':'UTF-8'}<br>
		{/foreach}
	</td>
	{/if}
	{if isset($display_settings.status) && $display_settings.status}
	<td>
        <i class="{if $product.status}icon-check{else}icon-remove{/if}"></i> 
        {if $product.status}{l s='Enabled' mod='priceditor'}{else}{l s='Disabled' mod='priceditor'}{/if}
	</td>
	{/if}
	<td>
		<input id="product-{$product.id_product|intval}-{$product.id_product_attribute|intval}-base-price" 
			value="{$product.product_price|escape:'htmlall':'UTF-8'}" class="price-input form-control base-price"
			type="text">
	</td>
	{if $display_settings.use_retail_price}
	<td id="product-{$product.id_product|intval}-tax-rate" data-tax-rate="{$product.tax_rate|escape:'htmlall':'UTF-8'}">
		{$product.tax_rate|escape:'htmlall':'UTF-8'}%
	</td>
	<td>
		<input id="product-{$product.id_product|intval}-{$product.id_product_attribute|intval}-retail-price" 
			value="{$product.retail_price|escape:'htmlall':'UTF-8'}" class="price-input form-control retail-price"
			type="text">
	</td>
	{/if}
	<td>
		<input id="combination-{$product.id_product|intval}-{$product.id_product_attribute|intval}-base-price" 
			value="{$product.combination_price|escape:'htmlall':'UTF-8'}" class="price-input form-control combination-impact" 
			{if $product.id_product_attribute == 0} disabled="disabled" {/if} 
			type="text">
	</td>
	{if $display_settings.use_retail_price}
	<td>
		<input id="combination-{$product.id_product|intval}-{$product.id_product_attribute|intval}-retail-price" 
			value="{$product.combination_retail_price|escape:'htmlall':'UTF-8'}" class="price-input form-control combination-retail-impact" 
			{if $product.id_product_attribute == 0} disabled="disabled" {/if} 
			type="text">
	</td>
	{/if}
	<td class="center">
		<span title="{l s='Save' mod='priceditor'}" class="priceditor-save-button" 
		id="product-{$product.id_product|intval}-{$product.id_product_attribute|intval}-save" 
		data-product-id="{$product.id_product|intval}" 
		data-product-attribute-id="{$product.id_product_attribute|intval}">
			<i class="icon-save"></i> <span class="lbl">{l s='Save' mod='priceditor'}</span>
		</span>
	</td>
</tr>
	{/foreach}
{else}
<tr>
	<td class="list-empty" colspan="{$display_settings.colspan|intval}">
		<div class="list-empty-msg">
			<i class="icon-warning-sign list-empty-icon"></i>
			{l s='No records found' mod='priceditor'}
		</div>
	</td>
</tr>
{/if}
