{*
* NOTICE OF LICENSE
*
* YOU MAY NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY.
*
* YOU MAY NOT MODIFY THIS SOFTWARE IN ANY WAY.
*
* THERE IS NO WARRANTY FOR THIS SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. 
* EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES 
* PROVIDE THIS SOFTWARE “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
* FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THIS 
* SOFTWARE IS WITH YOU. SHOULD THIS SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE COST OF 
* ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
*
* IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY 
* COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THIS SOFTWARE AS 
* PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, 
* INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS 
* SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE 
* OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THIS SOFTWARE TO OPERATE 
* WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE 
* POSSIBILITY OF SUCH DAMAGES.
* 
* IF THE DISCLAIMER OF WARRANTY AND LIMITATION OF LIABILITY PROVIDED ABOVE CANNOT BE 
* GIVEN LOCAL LEGAL EFFECT ACCORDING TO THEIR TERMS, REVIEWING COURTS SHALL APPLY LOCAL 
* LAW THAT MOST CLOSELY APPROXIMATES AN ABSOLUTE WAIVER OF ALL CIVIL LIABILITY IN CONNECTION 
* WITH THIS SOFTWARE, UNLESS A WARRANTY OR ASSUMPTION OF LIABILITY ACCOMPANIES A COPY OF THIS 
* SOFTWARE IN RETURN FOR A FEE.
*
* @author    George Filippakis <george.filippakis@gmail.com>
* @copyright 2015-2017 George Filippakis
* @license   LICENSE.txt
*}

<tr>
	<th class="fixed-width-lg center">
		<span class="title_box{if isset($order_by) && ('id_product' == $order_by)} active{/if}">
			{l s='Product ID' mod='priceditor'}
			<a {if isset($order_by) && ('id_product' == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=id_product&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-down"></i>
			</a>
			<a {if isset($order_by) && ('id_product' == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=id_product&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-up"></i>
			</a>
		</span>
	</th>
	<th class="fixed-width-lg center">
		<span class="title_box{if isset($order_by) && ('id_product_attribute' == $order_by)} active{/if}">
			{l s='Combination ID' mod='priceditor'}
			<a {if isset($order_by) && ('id_product_attribute' == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=id_product_attribute&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-down"></i>
			</a>
			<a {if isset($order_by) && ('id_product_attribute' == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=id_product_attribute&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-up"></i>
			</a>
		</span>
	</th>
	{if isset($display_settings.images) && $display_settings.images}
	<th class="fixed-width-lg center">
		<span class="title_box">
			{l s='Image' mod='priceditor'}
		</span>
	</th>
	{/if}
	{if isset($display_settings.names) && $display_settings.names}
	<th class="fixed-width-lg">
		<span class="title_box{if isset($order_by) && ('name' == $order_by)} active{/if}">
			{l s='Name' mod='priceditor'}
			<a {if isset($order_by) && ('name' == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=name&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-down"></i>
			</a>
			<a {if isset($order_by) && ('name' == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=name&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-up"></i>
			</a>
		</span>
	</th>
	{/if}
	{if isset($display_settings.references) && $display_settings.references}
	<th class="fixed-width-lg">
		<span class="title_box{if isset($order_by) && ('reference' == $order_by)} active{/if}">
			{l s='Reference' mod='priceditor'}
			<a {if isset($order_by) && ('reference' == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=reference&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-down"></i>
			</a>
			<a {if isset($order_by) && ('reference' == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=reference&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-up"></i>
			</a>
		</span>
	</th>
	{/if}
	{if isset($display_settings.ean) && $display_settings.ean}
	<th class="fixed-width-lg">
		<span class="title_box{if isset($order_by) && ('ean' == $order_by)} active{/if}">
			{l s='EAN13' mod='priceditor'}
			<a {if isset($order_by) && ('ean' == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=ean&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-down"></i>
			</a>
			<a {if isset($order_by) && ('ean' == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=ean&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-up"></i>
			</a>
		</span>
	</th>
	{/if}
	{if isset($display_settings.upc) && $display_settings.upc}
	<th class="fixed-width-lg">
		<span class="title_box{if isset($order_by) && ('upc' == $order_by)} active{/if}">
			{l s='UPC' mod='priceditor'}
			<a {if isset($order_by) && ('upc' == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=upc&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-down"></i>
			</a>
			<a {if isset($order_by) && ('upc' == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=upc&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-up"></i>
			</a>
		</span>
	</th>
	{/if}
	{if isset($display_settings.manufacturer) && $display_settings.manufacturer}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Manufacturer' mod='priceditor'}
		</span>
	</th>
	{/if}
	{if isset($display_settings.supplier) && $display_settings.supplier}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Supplier' mod='priceditor'}
		</span>
	</th>
	{/if}
	{if isset($display_settings.categories) && $display_settings.categories}
	<th class="fixed-width-lg">
		<span class="title_box{if isset($order_by) && ('name_category' == $order_by)} active{/if}">
			{l s='Category' mod='priceditor'}
			<a {if isset($order_by) && ('name_category' == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=name_category&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-down"></i>
			</a>
			<a {if isset($order_by) && ('name_category' == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderby=name_category&amp;{$list_id|escape:'htmlall':'UTF-8'}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}">
				<i class="icon-caret-up"></i>
			</a>
		</span>
	</th>
	{/if}
	{if isset($display_settings.attributes) && $display_settings.attributes}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Attributes' mod='priceditor'}
		</span>
	</th>
	{/if}
	{if isset($display_settings.status) && $display_settings.status}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Status' mod='priceditor'}
		</span>
	</th>
	{/if}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Base price' mod='priceditor'}
		</span>
	</th>
	{if $display_settings.use_retail_price}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Tax' mod='priceditor'}
		</span>
	</th>
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Retail price' mod='priceditor'}
		</span>
	</th>
	{/if}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Impact (tax excl.)' mod='priceditor'}
		</span>
	</th>
	{if $display_settings.use_retail_price}
	<th class="fixed-width-lg">
		<span class="title_box">
			{l s='Impact (tax incl.)' mod='priceditor'}
		</span>
	</th>
	{/if}
	<th class="fixed-width-lg center">
		<span class="title_box">
			{l s='Actions' mod='priceditor'}
		</span>
	</th>
</tr>
<tr class="nodrag nodrop filter {if $row_hover}row_hover{/if}">
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_id_product" value="{$filters.id_product|escape:'html':'UTF-8'}" />
	</th>
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_id_product_attribute" value="{$filters.id_product_attribute|escape:'html':'UTF-8'}" />
	</th>
	{if isset($display_settings.images) && $display_settings.images}
	<th class="center">
		--
	</th>
	{/if}
	{if isset($display_settings.names) && $display_settings.names}
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_name" value="{$filters.name|escape:'html':'UTF-8'}" />
	</th>
	{/if}
	{if isset($display_settings.references) && $display_settings.references}
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_reference" value="{$filters.reference|escape:'html':'UTF-8'}" />
	</th>
	{/if}
	{if isset($display_settings.ean) && $display_settings.ean}
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_ean" value="{$filters.ean|escape:'html':'UTF-8'}" />
	</th>
	{/if}
	{if isset($display_settings.upc) && $display_settings.upc}
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_upc" value="{$filters.upc|escape:'html':'UTF-8'}" />
	</th>
	{/if}
	{if isset($display_settings.manufacturer) && $display_settings.manufacturer}
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_manufacturer" value="{$filters.manufacturer|escape:'html':'UTF-8'}" />
	</th>
	{/if}
	{if isset($display_settings.supplier) && $display_settings.supplier}
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_supplier" value="{$filters.supplier|escape:'html':'UTF-8'}" />
	</th>
	{/if}
	{if isset($display_settings.categories) && $display_settings.categories}
	<th>
		<input type="text" class="filter" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_name_category" value="{$filters.name_category|escape:'html':'UTF-8'}" />
	</th>
	{/if}
	{if isset($display_settings.attributes) && $display_settings.attributes}
	<th class="text-left">
		--
	</th>
	{/if}
	{if isset($display_settings.status) && $display_settings.status}
	<th>
		<select class="filter fixed-width-sm" name="{$list_id|escape:'htmlall':'UTF-8'}Filter_status">
            <option value="">-</option>
            <option value="1" {if $filters.status == 1} selected="selected" {/if}>{l s='Enabled' mod='priceditor'}</option>
            <option value="0" {if $filters.status == 0 && $filters.status != ''} selected="selected" {/if}>{l s='Disabled' mod='priceditor'}</option>
        </select>
	</th>
	{/if}
	<th class="text-left">
		--
	</th>
	{if $display_settings.use_retail_price}
	<th class="text-left">
		--
	</th>
	<th class="text-left">
		--
	</th>
	{/if}
	<th class="text-left">
		--
	</th>
	{if $display_settings.use_retail_price}
	<th class="text-left">
		--
	</th>
	{/if}
	<th class="actions center">
		<span class="">
			<button type="submit" id="submitFilterButton{$list_id|escape:'htmlall':'UTF-8'}" name="submitFilter" class="btn btn-default" data-list-id="{$list_id|escape:'htmlall':'UTF-8'}">
				<i class="icon-search"></i> {l s='Search' mod='priceditor'}
			</button>
			{if $filters_has_value}
				<button type="submit" name="submitReset{$list_id|escape:'htmlall':'UTF-8'}" class="btn btn-warning">
					<i class="icon-eraser"></i> {l s='Reset' mod='priceditor'}
				</button>
			{/if}
		</span>
	</th>
</tr>

