{*
* NOTICE OF LICENSE
*
* YOU MAY NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY.
*
* YOU MAY NOT MODIFY THIS SOFTWARE IN ANY WAY.
*
* THERE IS NO WARRANTY FOR THIS SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. 
* EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES 
* PROVIDE THIS SOFTWARE “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
* FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THIS 
* SOFTWARE IS WITH YOU. SHOULD THIS SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE COST OF 
* ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
*
* IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY 
* COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THIS SOFTWARE AS 
* PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, 
* INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS 
* SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE 
* OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THIS SOFTWARE TO OPERATE 
* WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE 
* POSSIBILITY OF SUCH DAMAGES.
* 
* IF THE DISCLAIMER OF WARRANTY AND LIMITATION OF LIABILITY PROVIDED ABOVE CANNOT BE 
* GIVEN LOCAL LEGAL EFFECT ACCORDING TO THEIR TERMS, REVIEWING COURTS SHALL APPLY LOCAL 
* LAW THAT MOST CLOSELY APPROXIMATES AN ABSOLUTE WAIVER OF ALL CIVIL LIABILITY IN CONNECTION 
* WITH THIS SOFTWARE, UNLESS A WARRANTY OR ASSUMPTION OF LIABILITY ACCOMPANIES A COPY OF THIS 
* SOFTWARE IN RETURN FOR A FEE.
*
* @author    George Filippakis <george.filippakis@gmail.com>
* @copyright 2015-2017 George Filippakis
* @license   LICENSE.txt
*}
{if isset($category_tree)}
<div class="bloc-leadin">
	<div id="container_category_tree">
		{$category_tree|escape:'html':'UTF-8'|htmlspecialchars_decode:3}
	</div>
</div>
{/if}
<div class="alert alert-warning" id="{$list_id|escape:'html':'UTF-8'}-empty-filters-alert" style="display:none;">
	{l s='Please fill at least one field to perform a search in this list.' mod='priceditor'}
</div>
<form id="priceditor-form" class="form-horizontal clearfix is-ps-16" action="{$currentIndex|escape:'html':'UTF-8'}&amp;token={$token|escape:'html':'UTF-8'}" method="POST">
	<input type="hidden" id="submitFilter{$list_id|escape:'html':'UTF-8'}" name="submitFilter{$list_id|escape:'html':'UTF-8'}" value="0"/>
	<div id="priceditor-panel" class="panel col-lg-12">
		<div class="panel-heading">
			{l s='PRODUCTS AND COMBINATIONS' mod='priceditor'}{if is_array($title)}{$title|end}{else}{$title|escape:'html':'UTF-8'|htmlspecialchars_decode:3}{/if}
			<span class="badge">{$list_total|intval}</span>
		</div>
		<div class="table-responsive-row clearfix">
			<table id="priceditor-table" class="price-editor-product-list-table table product {$list_id|escape:'htmlall':'UTF-8'}" 
			cellpadding="0" cellspacing="0" 
			>
			<thead>
				{include file="./product-list-16-table-head.tpl"}
			</thead>
			<tbody>
			    {include file="./product-list-16-table-body.tpl"}
			</tbody>
			</table>
		</div>
		<div class="row">
		{if $list_total > $pagination[0]}
		    {include file="./product-list-16-pagination.tpl"}
		{/if}
		</div>
	</div>
	<input type="hidden" id="priceditor_page" name="priceditor_page" value="0">
</form>
{include file="./product-list-scripts.tpl"}

