{*
* NOTICE OF LICENSE
*
* YOU MAY NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY.
*
* YOU MAY NOT MODIFY THIS SOFTWARE IN ANY WAY.
*
* THERE IS NO WARRANTY FOR THIS SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. 
* EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES 
* PROVIDE THIS SOFTWARE “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
* FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THIS 
* SOFTWARE IS WITH YOU. SHOULD THIS SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE COST OF 
* ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
*
* IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY 
* COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THIS SOFTWARE AS 
* PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, 
* INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS 
* SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE 
* OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THIS SOFTWARE TO OPERATE 
* WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE 
* POSSIBILITY OF SUCH DAMAGES.
* 
* IF THE DISCLAIMER OF WARRANTY AND LIMITATION OF LIABILITY PROVIDED ABOVE CANNOT BE 
* GIVEN LOCAL LEGAL EFFECT ACCORDING TO THEIR TERMS, REVIEWING COURTS SHALL APPLY LOCAL 
* LAW THAT MOST CLOSELY APPROXIMATES AN ABSOLUTE WAIVER OF ALL CIVIL LIABILITY IN CONNECTION 
* WITH THIS SOFTWARE, UNLESS A WARRANTY OR ASSUMPTION OF LIABILITY ACCOMPANIES A COPY OF THIS 
* SOFTWARE IN RETURN FOR A FEE.
*
* @author    George Filippakis <george.filippakis@gmail.com>
* @copyright 2015-2017 George Filippakis
* @license   LICENSE.txt
*}

<div class="col-lg-6">
	<div class="pagination">
		{l s='Display' mod='priceditor'}
		<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
			{$selected_pagination|intval}
			<i class="icon-caret-down"></i>
		</button>
		<ul class="dropdown-menu">
		{foreach $pagination AS $value}
			<li>
				<a href="javascript:void(0);" class="pagination-items-page" data-items="{$value|intval}" data-list-id="{$list_id|escape:'htmlall':'UTF-8'}">{$value|intval}</a>
			</li>
		{/foreach}
		</ul>
		/ {$list_total|intval} {l s='result(s)' mod='priceditor'}
		<input type="hidden" id="{$list_id|escape:'htmlall':'UTF-8'}-pagination-items-page" name="{$list_id|escape:'htmlall':'UTF-8'}_pagination" value="{$selected_pagination|intval}" />
	</div>
	<script type="text/javascript">
		$('.pagination-items-page').on('click',function(e){
			e.preventDefault();
			$('#'+$(this).data("list-id")+'-pagination-items-page').val($(this).data("items")).closest("form").submit();
		});
	</script>
	<ul class="pagination pull-right">
		<li {if $page <= 1}class="disabled"{/if}>
			<a href="javascript:void(0);" class="pagination-link" data-page="1" data-list-id="{$list_id|escape:'htmlall':'UTF-8'}">
				<i class="icon-double-angle-left"></i>
			</a>
		</li>
		<li {if $page <= 1}class="disabled"{/if}>
			<a href="javascript:void(0);" class="pagination-link" data-page="{$page - 1|intval}" data-list-id="{$list_id|escape:'htmlall':'UTF-8'}">
				<i class="icon-angle-left"></i>
			</a>
		</li>
		{assign p 0}
		{while $p++ < $total_pages}
			{if $p < $page-2}
				<li class="disabled">
					<a href="javascript:void(0);">&hellip;</a>
				</li>
				{assign p $page-3}
			{else if $p > $page+2}
				<li class="disabled">
					<a href="javascript:void(0);">&hellip;</a>
				</li>
				{assign p $total_pages}
			{else}
				<li {if $p == $page}class="active"{/if}>
					<a href="javascript:void(0);" class="pagination-link" data-page="{$p|intval}" data-list-id="{$list_id|escape:'htmlall':'UTF-8'}">{$p|intval}</a>
				</li>
			{/if}
		{/while}
		<li {if $page >= $total_pages}class="disabled"{/if}>
			<a href="javascript:void(0);" class="pagination-link" data-page="{$page + 1|intval}" data-list-id="{$list_id|escape:'htmlall':'UTF-8'}">
				<i class="icon-angle-right"></i>
			</a>
		</li>
		<li {if $page >= $total_pages}class="disabled"{/if}>
			<a href="javascript:void(0);" class="pagination-link" data-page="{$total_pages|intval}" data-list-id="{$list_id|escape:'htmlall':'UTF-8'}">
				<i class="icon-double-angle-right"></i>
			</a>
		</li>
	</ul>
	<script type="text/javascript">
		$('.pagination-link').on('click',function(e){
			e.preventDefault();

			if (!$(this).parent().hasClass('disabled'))
				$('#priceditor_page').val($(this).data("page")).closest("form").submit();
		});
	</script>
</div>
