{*
* NOTICE OF LICENSE
*
* YOU MAY NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY.
*
* YOU MAY NOT MODIFY THIS SOFTWARE IN ANY WAY.
*
* THERE IS NO WARRANTY FOR THIS SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. 
* EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES 
* PROVIDE THIS SOFTWARE “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
* FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THIS 
* SOFTWARE IS WITH YOU. SHOULD THIS SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE COST OF 
* ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
*
* IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY 
* COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THIS SOFTWARE AS 
* PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, 
* INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS 
* SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE 
* OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THIS SOFTWARE TO OPERATE 
* WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE 
* POSSIBILITY OF SUCH DAMAGES.
* 
* IF THE DISCLAIMER OF WARRANTY AND LIMITATION OF LIABILITY PROVIDED ABOVE CANNOT BE 
* GIVEN LOCAL LEGAL EFFECT ACCORDING TO THEIR TERMS, REVIEWING COURTS SHALL APPLY LOCAL 
* LAW THAT MOST CLOSELY APPROXIMATES AN ABSOLUTE WAIVER OF ALL CIVIL LIABILITY IN CONNECTION 
* WITH THIS SOFTWARE, UNLESS A WARRANTY OR ASSUMPTION OF LIABILITY ACCOMPANIES A COPY OF THIS 
* SOFTWARE IN RETURN FOR A FEE.
*
* @author	George Filippakis <george.filippakis@gmail.com>
* @copyright 2015-2017 George Filippakis
* @license   LICENSE.txt
*}

<script type="text/javascript">

$(document).ready(function() {

    $('div#container_category_tree .tree-panel-heading-controls').prepend(
        '<input type="checkbox" ' +
        'id="filter-by-category" ' +
        'name="filter-by-category" {if $is_category_filter}checked="checked"{/if}>'
    );

    $('#filter-by-category').click(function() {
        if ($(this).is(':checked')) {
            $('#categories-tree').show();
            $('#container_category_tree .tree-actions').show();
        } else {
            $('#categories-tree').hide();
            $('#container_category_tree .tree-actions').hide();
            location.href = ajax_post_url + '&reset_filter_category=1';
        }
    });
    
    {if !$is_category_filter}
    $('#categories-tree').hide();
    $('#container_category_tree .tree-actions').hide();
    {/if}

	$('div#container_category_tree').on('click', 'input[type="radio"]', function() {
        var $this = $(this);
		if ($this.is(':checked')) {
            _treeClickFunc($this.val());
		}
	});
    $('div#container_category_tree').on('click', 'label', function() {
        var $this = $(this);
		$this
            .parent('span')
            .children('input[type="radio"]')
            .prop('checked', true)
            .click();
	});
	$('div#container_category_tree').on('click', 'ul', function(e) {
		categoryFilterButtons();
	});
	categoryFilterButtons();
});


function _treeClickFunc(id_category) {
    var newURL = window.location.protocol + "//" + window.location.host + window.location.pathname;
    var queryString = window.location.search.replace(/&id_category=[0-9]*/, "") + "&id_category=" + id_category;
    location.href = newURL+queryString; // hash part is dropped: window.location.hash
};

function productCategoryFilterReset() {
	$('form#priceditor-form input[name="filter_category"]').val('');
	$('form#priceditor-form').submit();
}

function categoryFilterButtons() {
	if ($('div#container_category_tree .icon-folder-open').size() === 0) {
		$('#collapse-all-categories-tree').hide();
	} else {
		$('#collapse-all-categories-tree').show();
	}
	if ($('div#container_category_tree .icon-folder-close').size() === 0) {
		$('#expand-all-categories-tree').hide();
	} else {
		$('#expand-all-categories-tree').show();
	}
}
</script>
